# Generated from tokenizer-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tokenizer

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Tokenizer is a tool intended to split a text into tokens
License: MIT
URL: https://github.com/arbox/tokenizer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
A simple multilingual tokenizer for NLP tasks. This tool provides a CLI and a
library for linguistic tokenization which is an anavoidable step for many HLT
(human language technology) tasks in the preprocessing phase for further
syntactic, semantic and other higher level processing goals. Use it for
tokenization of German, English and French texts.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/tokenize
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.rdoc
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 0.3.0-1
- Initial package
